Remove per-item download rate clutter
Created attachment 
Truncated display

The download panels often cuts off the last part of its text. See attached screenshot. This is a "standard" Windows  install with default font sizes.
